The Authorized Buyers Marketplace API lets buyers programmatically discover inventory; propose, retrieve and negotiate deals with publishers.

- [REST Resource: v1beta.curators.curatedPackages](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1beta.curators.curatedPackages)
- [REST Resource: v1beta.curators.dataSegments](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1beta.curators.dataSegments)
- [REST Resource: v1beta.mediaPlanners](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1beta.mediaPlanners)
- [REST Resource: v1alpha.bidders.auctionPackages](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1alpha.bidders.auctionPackages)
- [REST Resource: v1alpha.bidders.finalizedDeals](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1alpha.bidders.finalizedDeals)
- [REST Resource: v1alpha.buyers.auctionPackages](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1alpha.buyers.auctionPackages)
- [REST Resource: v1alpha.buyers.clients](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1alpha.buyers.clients)
- [REST Resource: v1alpha.buyers.clients.users](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1alpha.buyers.clients.users)
- [REST Resource: v1alpha.buyers.dataSegments](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1alpha.buyers.dataSegments)
- [REST Resource: v1alpha.buyers.finalizedDeals](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1alpha.buyers.finalizedDeals)
- [REST Resource: v1alpha.buyers.proposals](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1alpha.buyers.proposals)
- [REST Resource: v1alpha.buyers.proposals.deals](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1alpha.buyers.proposals.deals)
- [REST Resource: v1alpha.buyers.publisherProfiles](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1alpha.buyers.publisherProfiles)
- [REST Resource: v1alpha.curators.curatedPackages](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1alpha.curators.curatedPackages)
- [REST Resource: v1alpha.mediaPlanners](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1alpha.mediaPlanners)
- [REST Resource: v1.bidders.auctionPackages](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1.bidders.auctionPackages)
- [REST Resource: v1.bidders.finalizedDeals](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1.bidders.finalizedDeals)
- [REST Resource: v1.buyers.auctionPackages](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1.buyers.auctionPackages)
- [REST Resource: v1.buyers.clients](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1.buyers.clients)
- [REST Resource: v1.buyers.clients.users](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1.buyers.clients.users)
- [REST Resource: v1.buyers.finalizedDeals](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1.buyers.finalizedDeals)
- [REST Resource: v1.buyers.proposals](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1.buyers.proposals)
- [REST Resource: v1.buyers.proposals.deals](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1.buyers.proposals.deals)
- [REST Resource: v1.buyers.publisherProfiles](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest#v1.buyers.publisherProfiles)

## Service: authorizedbuyersmarketplace.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

- <https://authorizedbuyersmarketplace.googleapis.com/$discovery/rest?version=v1>
- <https://authorizedbuyersmarketplace.googleapis.com/$discovery/rest?version=v1beta>
- <https://authorizedbuyersmarketplace.googleapis.com/$discovery/rest?version=v1alpha>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://authorizedbuyersmarketplace.googleapis.com`

## REST Resource: [v1beta.curators.curatedPackages](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.curatedPackages)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.curatedPackages/activate` | `POST /v1beta/{name=curators/*/curatedPackages/*}:activate` Activates an existing curated package. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.curatedPackages/create` | `POST /v1beta/{parent=curators/*}/curatedPackages` Creates a new curated package. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.curatedPackages/deactivate` | `POST /v1beta/{name=curators/*/curatedPackages/*}:deactivate` Deactivates an existing curated package. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.curatedPackages/get` | `GET /v1beta/{name=curators/*/curatedPackages/*}` Gets a curated package given its resource name. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.curatedPackages/list` | `GET /v1beta/{parent=curators/*}/curatedPackages` Lists curated packages owned by the specified curator. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.curatedPackages/patch` | `PATCH /v1beta/{curatedPackage.name=curators/*/curatedPackages/*}` Updates an existing curated package. |

## REST Resource: [v1beta.curators.dataSegments](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/activate` | `POST /v1beta/{name=curators/*/dataSegments/*}:activate` Activates a data segment. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/create` | `POST /v1beta/{parent=curators/*}/dataSegments` Creates a data segment owned by the listed curator. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/deactivate` | `POST /v1beta/{name=curators/*/dataSegments/*}:deactivate` Deactivates a data segment. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/get` | `GET /v1beta/{name=curators/*/dataSegments/*}` Gets a data segment given its name. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/list` | `GET /v1beta/{parent=curators/*}/dataSegments` List the data segments owned by a curator. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/patch` | `PATCH /v1beta/{dataSegment.name=curators/*/dataSegments/*}` Updates a data segment. |

## REST Resource: [v1beta.mediaPlanners](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners/list` | `GET /v1beta/mediaPlanners` Lists all media planner accounts that the caller has access to. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners/search` | `GET /v1beta/mediaPlanners:search` Searches for media planner accounts matching the given DSP seat ID. |

## REST Resource: [v1alpha.bidders.auctionPackages](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/bidders.auctionPackages)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/bidders.auctionPackages/list` | `GET /v1alpha/{parent=bidders/*}/auctionPackages` List the auction packages. |

## REST Resource: [v1alpha.bidders.finalizedDeals](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/bidders.finalizedDeals)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/bidders.finalizedDeals/list` | `GET /v1alpha/{parent=bidders/*}/finalizedDeals` Lists finalized deals. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/bidders.finalizedDeals/setReadyToServe` | `POST /v1alpha/{deal=bidders/*/finalizedDeals/*}:setReadyToServe` Sets the given finalized deal as ready to serve. |

## REST Resource: [v1alpha.buyers.auctionPackages](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.auctionPackages)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.auctionPackages/get` | `GET /v1alpha/{name=buyers/*/auctionPackages/*}` Gets an auction package given its name. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.auctionPackages/list` | `GET /v1alpha/{parent=buyers/*}/auctionPackages` List the auction packages. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.auctionPackages/subscribe` | `POST /v1alpha/{name=buyers/*/auctionPackages/*}:subscribe` Subscribe to the auction package for the specified buyer. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.auctionPackages/subscribeClients` | `POST /v1alpha/{auctionPackage=buyers/*/auctionPackages/*}:subscribeClients` Subscribe the specified clients of the buyer to the auction package. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.auctionPackages/unsubscribe` | `POST /v1alpha/{name=buyers/*/auctionPackages/*}:unsubscribe` Unsubscribe from the auction package for the specified buyer. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.auctionPackages/unsubscribeClients` | `POST /v1alpha/{auctionPackage=buyers/*/auctionPackages/*}:unsubscribeClients` Unsubscribe from the auction package for the specified clients of the buyer. |

## REST Resource: [v1alpha.buyers.clients](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.clients)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.clients/activate` | `POST /v1alpha/{name=buyers/*/clients/*}:activate` Activates an existing client. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.clients/create` | `POST /v1alpha/{parent=buyers/*}/clients` Creates a new client. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.clients/deactivate` | `POST /v1alpha/{name=buyers/*/clients/*}:deactivate` Deactivates an existing client. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.clients/get` | `GET /v1alpha/{name=buyers/*/clients/*}` Gets a client with a given resource name. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.clients/list` | `GET /v1alpha/{parent=buyers/*}/clients` Lists all the clients for the current buyer. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.clients/patch` | `PATCH /v1alpha/{client.name=buyers/*/clients/*}` Updates an existing client. |

## REST Resource: [v1alpha.buyers.clients.users](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.clients.users)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.clients.users/activate` | `POST /v1alpha/{name=buyers/*/clients/*/users/*}:activate` Activates an existing client user. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.clients.users/create` | `POST /v1alpha/{parent=buyers/*/clients/*}/users` Creates a new client user in "INVITED" state. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.clients.users/deactivate` | `POST /v1alpha/{name=buyers/*/clients/*/users/*}:deactivate` Deactivates an existing client user. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.clients.users/delete` | `DELETE /v1alpha/{name=buyers/*/clients/*/users/*}` Deletes an existing client user. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.clients.users/get` | `GET /v1alpha/{name=buyers/*/clients/*/users/*}` Retrieves an existing client user. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.clients.users/list` | `GET /v1alpha/{parent=buyers/*/clients/*}/users` Lists all client users for a specified client. |

## REST Resource: [v1alpha.buyers.dataSegments](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.dataSegments)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.dataSegments/activate` | `POST /v1alpha/{name=buyers/*/dataSegments/*}:activate` Activates a data segment. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.dataSegments/create` | `POST /v1alpha/{parent=buyers/*}/dataSegments` Creates a data segment owned by the listed curator. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.dataSegments/deactivate` | `POST /v1alpha/{name=buyers/*/dataSegments/*}:deactivate` Deactivates a data segment. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.dataSegments/get` | `GET /v1alpha/{name=buyers/*/dataSegments/*}` Gets a data segment given its name. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.dataSegments/list` | `GET /v1alpha/{parent=buyers/*}/dataSegments` List the data segments owned by a curator. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.dataSegments/patch` | `PATCH /v1alpha/{dataSegment.name=buyers/*/dataSegments/*}` Updates a data segment. |

## REST Resource: [v1alpha.buyers.finalizedDeals](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.finalizedDeals)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.finalizedDeals/addCreative` | `POST /v1alpha/{deal=buyers/*/finalizedDeals/*}:addCreative` Add creative to be used in the bidding process for a finalized deal. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.finalizedDeals/get` | `GET /v1alpha/{name=buyers/*/finalizedDeals/*}` Gets a finalized deal given its name. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.finalizedDeals/list` | `GET /v1alpha/{parent=buyers/*}/finalizedDeals` Lists finalized deals. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.finalizedDeals/pause` | `POST /v1alpha/{name=buyers/*/finalizedDeals/*}:pause` Pauses serving of the given finalized deal. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.finalizedDeals/resume` | `POST /v1alpha/{name=buyers/*/finalizedDeals/*}:resume` Resumes serving of the given finalized deal. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.finalizedDeals/setReadyToServe` | `POST /v1alpha/{deal=buyers/*/finalizedDeals/*}:setReadyToServe` Sets the given finalized deal as ready to serve. |

## REST Resource: [v1alpha.buyers.proposals](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/accept` | `POST /v1alpha/{name=buyers/*/proposals/*}:accept` Accepts the proposal at the given revision number. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/addNote` | `POST /v1alpha/{proposal=buyers/*/proposals/*}:addNote` Creates a note for this proposal and sends to the seller. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/cancelNegotiation` | `POST /v1alpha/{proposal=buyers/*/proposals/*}:cancelNegotiation` Cancels an ongoing negotiation on a proposal. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/get` | `GET /v1alpha/{name=buyers/*/proposals/*}` Gets a proposal using its resource name. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/list` | `GET /v1alpha/{parent=buyers/*}/proposals` Lists proposals. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/patch` | `PATCH /v1alpha/{proposal.name=buyers/*/proposals/*}` Updates the proposal at the given revision number. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/sendRfp` | `POST /v1alpha/{buyer=buyers/*}/proposals:sendRfp` Sends a request for proposal (RFP) to a publisher to initiate the negotiation regarding certain inventory. |

## REST Resource: [v1alpha.buyers.proposals.deals](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals.deals)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals.deals/batchUpdate` | `POST /v1alpha/{parent=buyers/*/proposals/*}/deals:batchUpdate` Batch updates multiple deals in the same proposal. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals.deals/get` | `GET /v1alpha/{name=buyers/*/proposals/*/deals/*}` Gets a deal given its name. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals.deals/list` | `GET /v1alpha/{parent=buyers/*/proposals/*}/deals` Lists all deals in a proposal. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals.deals/patch` | `PATCH /v1alpha/{deal.name=buyers/*/proposals/*/deals/*}` Updates the given deal at the buyer known revision number. |

## REST Resource: [v1alpha.buyers.publisherProfiles](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.publisherProfiles)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.publisherProfiles/get` | `GET /v1alpha/{name=buyers/*/publisherProfiles/*}` Gets the requested publisher profile by name. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.publisherProfiles/list` | `GET /v1alpha/{parent=buyers/*}/publisherProfiles` Lists publisher profiles. |

## REST Resource: [v1alpha.curators.curatedPackages](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages/activate` | `POST /v1alpha/{name=curators/*/curatedPackages/*}:activate` Activates an existing curated package. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages/create` | `POST /v1alpha/{parent=curators/*}/curatedPackages` Creates a new curated package. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages/deactivate` | `POST /v1alpha/{name=curators/*/curatedPackages/*}:deactivate` Deactivates an existing curated package. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages/get` | `GET /v1alpha/{name=curators/*/curatedPackages/*}` Gets a curated package given its resource name. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages/list` | `GET /v1alpha/{parent=curators/*}/curatedPackages` Lists curated packages owned by the specified curator. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages/patch` | `PATCH /v1alpha/{curatedPackage.name=curators/*/curatedPackages/*}` Updates an existing curated package. |

## REST Resource: [v1alpha.mediaPlanners](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/mediaPlanners)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/mediaPlanners/list` | `GET /v1alpha/mediaPlanners` Lists all media planner accounts that the caller has access to. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/mediaPlanners/search` | `GET /v1alpha/mediaPlanners:search` Searches for media planner accounts matching the given DSP seat ID. |

## REST Resource: [v1.bidders.auctionPackages](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/bidders.auctionPackages)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/bidders.auctionPackages/list` | `GET /v1/{parent=bidders/*}/auctionPackages` List the auction packages. |

## REST Resource: [v1.bidders.finalizedDeals](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/bidders.finalizedDeals)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/bidders.finalizedDeals/list` | `GET /v1/{parent=bidders/*}/finalizedDeals` Lists finalized deals. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/bidders.finalizedDeals/setReadyToServe` | `POST /v1/{deal=bidders/*/finalizedDeals/*}:setReadyToServe` Sets the given finalized deal as ready to serve. |

## REST Resource: [v1.buyers.auctionPackages](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.auctionPackages)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.auctionPackages/get` | `GET /v1/{name=buyers/*/auctionPackages/*}` Gets an auction package given its name. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.auctionPackages/list` | `GET /v1/{parent=buyers/*}/auctionPackages` List the auction packages. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.auctionPackages/subscribe` | `POST /v1/{name=buyers/*/auctionPackages/*}:subscribe` Subscribe to the auction package for the specified buyer. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.auctionPackages/subscribeClients` | `POST /v1/{auctionPackage=buyers/*/auctionPackages/*}:subscribeClients` Subscribe the specified clients of the buyer to the auction package. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.auctionPackages/unsubscribe` | `POST /v1/{name=buyers/*/auctionPackages/*}:unsubscribe` Unsubscribe from the auction package for the specified buyer. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.auctionPackages/unsubscribeClients` | `POST /v1/{auctionPackage=buyers/*/auctionPackages/*}:unsubscribeClients` Unsubscribe from the auction package for the specified clients of the buyer. |

## REST Resource: [v1.buyers.clients](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients/activate` | `POST /v1/{name=buyers/*/clients/*}:activate` Activates an existing client. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients/create` | `POST /v1/{parent=buyers/*}/clients` Creates a new client. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients/deactivate` | `POST /v1/{name=buyers/*/clients/*}:deactivate` Deactivates an existing client. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients/get` | `GET /v1/{name=buyers/*/clients/*}` Gets a client with a given resource name. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients/list` | `GET /v1/{parent=buyers/*}/clients` Lists all the clients for the current buyer. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients/patch` | `PATCH /v1/{client.name=buyers/*/clients/*}` Updates an existing client. |

## REST Resource: [v1.buyers.clients.users](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients.users)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients.users/activate` | `POST /v1/{name=buyers/*/clients/*/users/*}:activate` Activates an existing client user. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients.users/create` | `POST /v1/{parent=buyers/*/clients/*}/users` Creates a new client user in "INVITED" state. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients.users/deactivate` | `POST /v1/{name=buyers/*/clients/*/users/*}:deactivate` Deactivates an existing client user. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients.users/delete` | `DELETE /v1/{name=buyers/*/clients/*/users/*}` Deletes an existing client user. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients.users/get` | `GET /v1/{name=buyers/*/clients/*/users/*}` Retrieves an existing client user. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients.users/list` | `GET /v1/{parent=buyers/*/clients/*}/users` Lists all client users for a specified client. |

## REST Resource: [v1.buyers.finalizedDeals](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.finalizedDeals)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.finalizedDeals/addCreative` | `POST /v1/{deal=buyers/*/finalizedDeals/*}:addCreative` Add creative to be used in the bidding process for a finalized deal. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.finalizedDeals/get` | `GET /v1/{name=buyers/*/finalizedDeals/*}` Gets a finalized deal given its name. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.finalizedDeals/list` | `GET /v1/{parent=buyers/*}/finalizedDeals` Lists finalized deals. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.finalizedDeals/pause` | `POST /v1/{name=buyers/*/finalizedDeals/*}:pause` Pauses serving of the given finalized deal. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.finalizedDeals/resume` | `POST /v1/{name=buyers/*/finalizedDeals/*}:resume` Resumes serving of the given finalized deal. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.finalizedDeals/setReadyToServe` | `POST /v1/{deal=buyers/*/finalizedDeals/*}:setReadyToServe` Sets the given finalized deal as ready to serve. |

## REST Resource: [v1.buyers.proposals](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/accept` | `POST /v1/{name=buyers/*/proposals/*}:accept` Accepts the proposal at the given revision number. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/addNote` | `POST /v1/{proposal=buyers/*/proposals/*}:addNote` Creates a note for this proposal and sends to the seller. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/cancelNegotiation` | `POST /v1/{proposal=buyers/*/proposals/*}:cancelNegotiation` Cancels an ongoing negotiation on a proposal. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/get` | `GET /v1/{name=buyers/*/proposals/*}` Gets a proposal using its resource name. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/list` | `GET /v1/{parent=buyers/*}/proposals` Lists proposals. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/patch` | `PATCH /v1/{proposal.name=buyers/*/proposals/*}` Updates the proposal at the given revision number. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/sendRfp` | `POST /v1/{buyer=buyers/*}/proposals:sendRfp` Sends a request for proposal (RFP) to a publisher to initiate the negotiation regarding certain inventory. |

## REST Resource: [v1.buyers.proposals.deals](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals.deals)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals.deals/batchUpdate` | `POST /v1/{parent=buyers/*/proposals/*}/deals:batchUpdate` Batch updates multiple deals in the same proposal. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals.deals/get` | `GET /v1/{name=buyers/*/proposals/*/deals/*}` Gets a deal given its name. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals.deals/list` | `GET /v1/{parent=buyers/*/proposals/*}/deals` Lists all deals in a proposal. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals.deals/patch` | `PATCH /v1/{deal.name=buyers/*/proposals/*/deals/*}` Updates the given deal at the buyer known revision number. |

## REST Resource: [v1.buyers.publisherProfiles](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.publisherProfiles)

| Methods ||
|---|---|
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.publisherProfiles/get` | `GET /v1/{name=buyers/*/publisherProfiles/*}` Gets the requested publisher profile by name. |
| `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.publisherProfiles/list` | `GET /v1/{parent=buyers/*}/publisherProfiles` Lists publisher profiles. |